<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateHistoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: histories
         */
        Schema::create('histories', function ($table) {
            $table->increments('id');
            $table->integer('order_id')->nullable();
            $table->integer('detail_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->enum('status', ['Pending','Completed'])->nullable();
            $table->integer('quantity')->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('histories');
    }
}
