<?php

namespace Islhd\Order;

use User;

class Order
{
    /**
     * $order object.
     */
    protected $order;    /**
     * $detail object.
     */
    protected $detail;    /**
     * $history object.
     */
    protected $history;

    /**
     * Constructor.
     */
    public function __construct(\Islhd\Order\Interfaces\OrderRepositoryInterface $order,        \Islhd\Order\Interfaces\DetailRepositoryInterface $detail,        \Islhd\Order\Interfaces\HistoryRepositoryInterface $history)
    {
        $this->order = $order;        $this->detail = $detail;        $this->history = $history;
    }

    /**
     * Returns count of order.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.order.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->order->pushCriteria(new \Litepie\Islhd\Repositories\Criteria\OrderUserCriteria());
        }

        $order = $this->order->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('order'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.detail.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->detail->pushCriteria(new \Litepie\Islhd\Repositories\Criteria\DetailUserCriteria());
        }

        $detail = $this->detail->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('detail'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.history.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->history->pushCriteria(new \Litepie\Islhd\Repositories\Criteria\HistoryUserCriteria());
        }

        $history = $this->history->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('history'))->render();
    }
}
