<?php

namespace Islhd\Order\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Order policy
        'Islhd\Order\Models\Order' => \Islhd\Order\Policies\OrderPolicy::class,// Bind Detail policy
        'Islhd\Order\Models\Detail' => \Islhd\Order\Policies\DetailPolicy::class,// Bind History policy
        'Islhd\Order\Models\History' => \Islhd\Order\Policies\HistoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
