<?php

namespace Islhd\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DetailTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Order\Models\Detail $detail)
    {
        return [
            'id'                => $detail->getRouteKey(),
            'key'               => [
                'public'    => $detail->getPublicKey(),
                'route'     => $detail->getRouteKey(),
            ], 
            'order_id'          => $detail->order_id,
            'product_id'        => $detail->product_id,
            'quantity'          => $detail->quantity,
            'price'             => $detail->price,
            'parameters'        => $detail->parameters,
            'deleted_at'        => $detail->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$detail->getPublicKey()),
                'user'      => guard_url('order/detail/'.$detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$detail->status),
            'created_at'        => format_date($detail->created_at),
            'updated_at'        => format_date($detail->updated_at),
        ];
    }
}