<?php

namespace Islhd\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HistoryTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Order\Models\History $history)
    {
        return [
            'id'                => $history->getRouteKey(),
            'key'               => [
                'public'    => $history->getPublicKey(),
                'route'     => $history->getRouteKey(),
            ], 
            'order_id'          => $history->order_id,
            'detail_id'         => $history->detail_id,
            'user_id'           => $history->user_id,
            'user_type'         => $history->user_type,
            'quantity'          => $history->quantity,
            'details'           => $history->details,
            'deleted_at'        => $history->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$history->getPublicKey()),
                'user'      => guard_url('order/history/'.$history->getRouteKey()),
            ], 
            'status'            => trans('app.'.$history->status),
            'created_at'        => format_date($history->created_at),
            'updated_at'        => format_date($history->updated_at),
        ];
    }
}