<?php

namespace Islhd\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrderTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Order\Models\Order $order)
    {
        return [
            'id'                => $order->getRouteKey(),
            'key'               => [
                'public'    => $order->getPublicKey(),
                'route'     => $order->getRouteKey(),
            ], 
            'user_id'           => $order->user_id,
            'user_type'         => $order->user_type,
            'order_status'      => $order->order_status,
            'subtotal'          => $order->subtotal,
            'tax'               => $order->tax,
            'total'             => $order->total,
            'deleted_at'        => $order->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$order->getPublicKey()),
                'user'      => guard_url('order/order/'.$order->getRouteKey()),
            ], 
            'status'            => trans('app.'.$order->status),
            'created_at'        => format_date($order->created_at),
            'updated_at'        => format_date($order->updated_at),
        ];
    }
}